### File

`packages/components/layout/eui-toolbar/toolbar-mega-menu/toolbar-mega-menu.component.ts`

### Implements

`OnInit` `OnDestroy` `OnChanges`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-toolbar-mega-menu`
imports | `EUI_ICON` `EUI_BADGE` `RouterLink` `RouterLinkActive` `JsonPipe` `KeyValuePipe` `NgTemplateOutlet`
templateUrl | `./toolbar-mega-menu.component.html`
styleUrl | `./toolbar-mega-menu.scss`

### Index

###### Properties
role string
###### Methods
closeMenu groupByColIdPerParent openMenu
###### Inputs
items
###### HostBindings
attr.role class

### Constructor

`constructor()`

### Inputs

items
Type : `Items[]`

### HostBindings

attr.role
Type : `string`
Default value : `'nav'`

class
Type : `string`
Default value : `'eui-toolbar-mega-menu'`

### Methods

closeMenu
`closeMenu()`
Returns : `void`

groupByColIdPerParent
`groupByColIdPerParent(items: Items[])`
Parameters :
Name | Type | Optional
items | `Items[]` | No
Returns : `literal type`

openMenu
`openMenu(menuIndex: number)`
Parameters :
Name | Type | Optional
menuIndex | `number` | No
Returns : `void`

### Properties

role
Type : `string`
Default value : `'nav'`
Decorators : `@HostBinding('attr.role')`

string
Type : `string`
Default value : `'eui-toolbar-mega-menu'`
Decorators : `@HostBinding('class')`

# results matching ""

# No results matching ""